IllegalSymbolException (BioJava-1.5-beta API)
Keywords: org.biojava.bio.symbol.IllegalSymbolException class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.symbol
Class IllegalSymbolException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.biojava.bio.BioException
                  org.biojava.bio.symbol.IllegalSymbolException

All Implemented Interfaces:
  Serializable

    public class IllegalSymbolException

extends BioException

The exception to indicate that a symbol is not valid within a context.

The usual reason for throwing an IllegalSymbolException is that you are trying to add a symbol to a sequence with an alpabet that does not contain the symbol. This is the sequence/alphabet equivalent of a ClassCastException for objects.

Frequently, these excepions are actualy generated from Alphabet.validate.

Author:
  Matthew Pocock
See Also:
  Serialized Form

Constructor Summary
`IllegalSymbolException(String message)` Make the exception with a message.
`IllegalSymbolException(Symbol sym, String message)` Make the exception with a message and a symbol.
`IllegalSymbolException(Throwable cause, String message)`
`IllegalSymbolException(Throwable cause, Symbol sym, String message)`

Method Summary
`Symbol` | `getSymbol()` Retrieve the symbol that caused this exception, or null.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IllegalSymbolException

    public IllegalSymbolException(String message)

  Make the exception with a message.

### IllegalSymbolException

    public IllegalSymbolException(Symbol sym,
                                  String message)

  Make the exception with a message and a symbol.

### IllegalSymbolException

    public IllegalSymbolException(Throwable cause,
                                  String message)

### IllegalSymbolException

    public IllegalSymbolException(Throwable cause,
                                  Symbol sym,
                                  String message)

Method Detail

### getSymbol

    public Symbol getSymbol()

  Retrieve the symbol that caused this exception, or null.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD